<template>
  <div>
    <saved-timer
      @delete-timer="deleteTimer"
      :key="timer.id"
      v-for="timer in timers"
      :timer="timer"
    />
  </div>
</template>

<script>
import SavedTimer from "./SavedTimer.vue";

export default {
  components: { SavedTimer },
  props: {
    timers: Array,
  },
  methods: {
    deleteTimer(id) {
      this.$emit("delete-timer", id);
    },
  },
};
</script>

<style scoped>
div {
  display: grid;
  gap: 20px;
}
</style>
